#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var client_1 = require("./src/client");
var yargs_1 = require("yargs");
var helpers_1 = require("yargs/helpers");
var SERVER_URL = 'https://driller.profabric.tech';
(0, yargs_1.default)((0, helpers_1.hideBin)(process.argv))
    .command('$0', 'Establish driller connection', function (yArgs) {
    return yArgs
        .positional('subdomain', {
        alias: 's',
        type: 'string',
        describe: 'Requested subdomain',
    })
        .positional('port', {
        alias: 'p',
        type: 'number',
        default: 3000,
        describe: 'Application port',
    })
        .positional('host', {
        alias: 'h',
        type: 'string',
        describe: 'Application IP adress',
        default: '127.0.0.1',
    });
}, function (_a) {
    var subdomain = _a.subdomain, port = _a.port, host = _a.host;
    return (0, tslib_1.__awaiter)(void 0, void 0, void 0, function () {
        var client;
        return (0, tslib_1.__generator)(this, function (_b) {
            if (!subdomain) {
                console.log('You must provide a subdomain!');
                return [2];
            }
            client = new client_1.default({
                server: SERVER_URL,
                subdomain: subdomain,
                port: port,
                host: host,
            });
            client.getConnection();
            return [2];
        });
    });
})
    .help().argv;
